<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Wunschtermine\Uebersicht\Filter;

class WunschtermineShowFilterController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new WunschtermineShowFilterUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    return new WunschtermineShowFilterRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new WunschtermineShowFilterPresenter($pUseCaseResponse);
  }
}